package com.brilliance.isc.common.bopset.converter;

import com.brilliance.isc.common.rmbbop.common.PblInfo;
import com.brilliance.isc.common.rmbbop.vo.*;

public class PblInfoBuilder {

    public static PblInfo buildPblInfo(Rmb2123 rmb2123){
        PblInfo pblInfo = new PblInfo();
        pblInfo.setAcp(rmb2123.getAcp());
        pblInfo.setLevyno(rmb2123.getRecgrp().getAds().getLevyno());
        pblInfo.setObjinr(rmb2123.getRecgrp().getAds().getInr());
        pblInfo.setObjtyp("TDQ");
        pblInfo.setOpertype(rmb2123.getRecgrp().getAds().getOpertype());
        pblInfo.setOwnextkey(rmb2123.getRecgrp().getAds().getOwnextkey());
        pblInfo.setRmbbutflg(rmb2123.getRmbbutflg());
        pblInfo.setOwnref(rmb2123.getOwnref());
        pblInfo.setIsbus(rmb2123.getIsbus());
        return pblInfo;
    }

    public static PblInfo buildPblInfo(Rmb2122 rmb2122){
        PblInfo pblInfo = new PblInfo();
        pblInfo.setAcp(rmb2122.getAcp());
        pblInfo.setLevyno(rmb2122.getRecgrp().getAds().getLevyno());
        pblInfo.setObjinr(rmb2122.getRecgrp().getAds().getInr());
        pblInfo.setObjtyp("TDO");
        pblInfo.setOpertype(rmb2122.getRecgrp().getAds().getOpertype());
        pblInfo.setOwnextkey(rmb2122.getRecgrp().getAds().getOwnextkey());
        pblInfo.setRmbbutflg(rmb2122.getRmbbutflg());
        pblInfo.setOwnref(rmb2122.getOwnref());
        pblInfo.setIsbus(rmb2122.getIsbus());
        return pblInfo;
    }


    public static PblInfo buildPblInfo(Rmb2111 rmb2111){
        PblInfo pblInfo = new PblInfo();
        pblInfo.setAcp(rmb2111.getAcp());
        pblInfo.setLevyno(rmb2111.getRecgrp().getAds().getLevyno());
        pblInfo.setObjinr(rmb2111.getRecgrp().getAds().getInr());
        pblInfo.setObjtyp("TDB");
        pblInfo.setOpertype(rmb2111.getRecgrp().getAds().getOpertype());
        pblInfo.setOwnextkey(rmb2111.getRecgrp().getAds().getOwnextkey());
        pblInfo.setRmbbutflg(rmb2111.getRmbbutflg());
        pblInfo.setOwnref(rmb2111.getOwnref());
        pblInfo.setIsbus(rmb2111.getIsbus());
        return pblInfo;
    }

    public static PblInfo buildPblInfo(Rmb2101 rmb2101){
        PblInfo pblInfo = new PblInfo();
        pblInfo.setAcp(rmb2101.getAcp());
        pblInfo.setLevyno(rmb2101.getRecgrp().getAds().getLevyno());
        pblInfo.setObjinr(rmb2101.getRecgrp().getAds().getInr());
        pblInfo.setObjtyp("TDA");
        pblInfo.setOpertype(rmb2101.getRecgrp().getAds().getOpertype());
        pblInfo.setOwnextkey(rmb2101.getRecgrp().getAds().getOwnextkey());
        pblInfo.setRmbbutflg(rmb2101.getRmbbutflg());
        pblInfo.setOwnref(rmb2101.getOwnref());
        pblInfo.setIsbus(rmb2101.getIsbus());
        return pblInfo;
    }
    public static PblInfo buildPblInfo(Rmb2112 rmb2112){
        PblInfo pblInfo = new PblInfo();
        pblInfo.setAcp(rmb2112.getAcp());
        pblInfo.setLevyno(rmb2112.getRecgrp().getAds().getLevyno());
        pblInfo.setObjinr(rmb2112.getRecgrp().getAds().getInr());
        pblInfo.setObjtyp("TCR");
        pblInfo.setOpertype(rmb2112.getRecgrp().getAds().getOpertype());
        pblInfo.setOwnextkey(rmb2112.getRecgrp().getAds().getOwnextkey());
        pblInfo.setRmbbutflg(rmb2112.getRmbbutflg());
        pblInfo.setOwnref(rmb2112.getOwnref());
        pblInfo.setIsbus(rmb2112.getIsbus());
        return pblInfo;
    }

}
